## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <fDecl>

`<fDecl>` | (feature declaration) declares a single feature, specifying its name, organization, range of allowed values, and optionally its default value.

Attributes

(In addition to global attributes)

`name` | indicates the name of the feature being declared; matches the `name` attribute of `<f>` elements in the text.
| Datatype: NMTOKEN
| Values: any string of characters
| Default: #REQUIRED

Example:

`org` | (organization) specifies the organizing discipline of the feature value.
| Datatype: (unit | set | bag | list)

Legal values are:

unit | unitary atomic value
set | set value (unordered, no duplicates)
bag | bag value (unordered, may have duplicates)
list | list value (ordered, may have duplicates)

| Default: unit

Example:

Example

Module Declared in file teifsd2; Additional tag set for feature structures: enabled by TEI.fs
Data Description May contain character data and phrase-level elements.
May contain fDescr vDefault vRange
May occur within fsDecl
Declaration

    <!ELEMENT fDecl %om.RR;  (fDescr?, vRange, vDefault?)>
    <!ATTLIST fDecl
          %a.global;
          name NMTOKEN #REQUIRED
          org (unit | set | bag | list) "unit">

See further 26 Feature System Declaration

Up: 35 Elements